<?php

namespace App\Domain\Scraping\Domain\Event;

use App\Domain\Scraping\Domain\Model\ScrapingProgress;

readonly class PageScrapingProgressed
{
    public function __construct(
        private string           $jobId,
        private ScrapingProgress $progress
    ) {
    }

    public function getJobId(): string
    {
        return $this->jobId;
    }

    public function getProgress(): ScrapingProgress
    {
        return $this->progress;
    }
}
